.bodyCopy {
  @include font-size(15);
  opacity: 1;

  h1,
  h2,
  h3,
  h4 {
    color: $text-color;
  }

  &.theme--green {
    h1,
    h2,
    h3,
    h4 {
      color: $color-heading;
    }
  }

  &.theme--white {
    h1,
    h2,
    h3,
    h4 {
      color: #fff;
    }
  }

  h3 {
    @include font-archer-semibold;
  }

  p + h3 {
    margin-top: 3rem;
  }

  p + h3 {
    margin-top: 3rem;
  }

  a {
    border-bottom: 1px solid rgba($link-color, 0.5);
    transition: all linear 0.4s;
    font-weight: 600;

    &:hover,
    &:focus {
      border-color: #3d3d3d;
    }
  }

  .container p:last-child,
  .container ul:last-child,
  .container li:last-child {
    margin-bottom: 0;
  }

  &--micro {
    .container {
      @include breakpoint($medium) {
        width: 26%;
        margin-left: 38%;
        text-align: center;
      }
    }
  }

  &--mini {
    .container {
      @include breakpoint($medium) {
        max-width: $article-width-inner;
        margin: 0 auto;
        padding: 0 $global-padding-desktop;
      }
    }
  }

  &--product {
    .container {
      @include breakpoint($large) {
        max-width: 900px;
        margin: 0 auto;
        padding: 0 $global-padding-desktop;
      }
    }
  }

  &--withBg {
    padding: 3rem 0;
    background: $color-bg-coolGrey;
  }

  &--hasTheme {
    margin: 0;
    &.module-noCurveTop {
      padding-top: map-get($mobile, space-lg);

      @include breakpoint($large) {
        padding-top: map-get($desktop, space-lg);
      }
    }

    &.module-noCurveBottom {
      padding-bottom: map-get($mobile, space-lg);

      @include breakpoint($large) {
        padding-bottom: map-get($desktop, space-lg);
      }
    }
  }

  &--intro {
    //padding-top: 0;
    .container {
      h2:first-child {
        color: $color-heading;
      }
    }
  }

  &--alt-headings {
    &.bodyCopy--intro {
      p:first-child {
        //h2 style
        @include font-archer-light;
        font-weight: 300;
        margin-bottom: 1.2rem;
        line-height: 1.1;

        @include fluid(24, 38);

        color: $color-heading;
      }
    }
    h2 {
      //h3 styles
      font-weight: 300;
      margin-bottom: 1rem;
      line-height: 1.2;

      @include fluid(20, 24);

      @include font-archer-semibold;
    }
    p + h2 {
      margin-top: 3rem;
    }
    h3 {
      //h4 styles
      @include rhythm(16, 20);
      @include font-archer-medium;
      font-weight: 400;
      margin-bottom: 0.8rem;

      @include breakpoint($large) {
        @include rhythm(22, 24);
      }
    }
    p + h3 {
      margin-top: 0;
    }
    h4,
    h5,
    h6 {
      //h5/h6 styles
      @include rhythm(16, 20);
      font-family: $font-muli;
      font-weight: 600;
      margin-bottom: 0.8rem;
    }
  }
}
